> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.chainstack.com/feedback

```json
{
  "path": "/reference/gettransactionbyblockhashandindex",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# eth_getTransactionByBlockHashAndIndex | Cronos

Cronos API method that retrieves information about a specific transaction based on the block hash and the transaction index within the block. This information can be used to track transactions, debug issues, analyze data, and build decentralized applications on the Cronos blockchain.

<Check>
  **Get your own node endpoint today**

  [Start for free](https://console.chainstack.com/) and get your app to production levels immediately. No credit card required.

  You can sign up with your GitHub, X, Google, or Microsoft account.
</Check>

## Parameters

* `hash` — the hash of the block
* `quantity` — the integer identifying the transaction index position within the block, encoded as hexadecimal

## Response

* `object` — a transaction response object, or `null` if no transaction is found:
  * `blockHash` — the block hash. Identifies the block in which the transaction was included. This field is `null` for transactions that have not yet been included in a block.
  * `blockNumber` — the number of the block in which the transaction was included. This field is `null` for transactions that have not yet been included in a block.
  * `from` — the address of the sender who initiated the transaction.
  * `gas` — the units of gas included in the transaction by the sender.
  * `gasPrice` — the price of gas in Wei included in the transaction by the sender.
  * `maxFeePerGas` — the maximum amount the transaction's sender is willing to pay per unit of gas for the transaction to be executed.
  * `maxPriorityFeePerGas` — the maximum priority fee the transaction sender is willing to pay per unit of gas.
  * `hash` — the hash that uniquely identifies the transaction.
  * `input` — the optional input data sent with the transaction, usually used to interact with smart contracts.
  * `nonce` — a counter identifying the transaction's number sent by the sender's wallet. It essentially identifies how many transactions an account has made. Used to ensure each transaction is executed only once.
  * `to` — the recipient's address of the transaction if it was a transaction to an address. For contract creation transactions, this field is `null`.
  * `transactionIndex` — the index of the transaction within the block. It is `null` for transactions that have not yet been included in a block.
  * `value` — the value of the native token transferred along with the transaction, in Wei.
  * `type` — the [type](https://ethereum.org/en/developers/docs/transactions/#types-of-transactions) of the transaction. `0` indicates a regular transfer; `2` indicates a contract creation or smart contract function call.
  * `accessList` — a list of [authorized addresses and storage keys](https://eips.ethereum.org/EIPS/eip-2930#:~:text=The%20accessList%20specifies%20a%20list,of%20accessing%20outside%20the%20list.) with which the transaction plans to interact.
  * `v` — the recovery parameter in the [Ethereum Signature Algorithm](https://ethereum.org/en/glossary/#ecdsa) (ECDSA).
  * `r` — the first component of the signature in the [Ethereum Signature Algorithm](https://ethereum.org/en/glossary/#ecdsa) (ECDSA).
  * `s` — the second component of the signature in the [Ethereum Signature Algorithm](https://ethereum.org/en/glossary/#ecdsa) (ECDSA).

## `eth_getTransactionByBlockHashAndIndex` code examples

<CodeGroup>
  ```javascript web3.js theme={"system"}
  const { Web3 } = require("web3");
  const NODE_URL = "CHAINSTACK_NODE_URL";
  const web3 = new Web3(NODE_URL);

  async function getTransaction() {
    const transaction = await web3.eth.getTransactionFromBlock("0x84fcbb099d339793e0271db167c937723202a25672a676a2066268fff6d0e945", 1);
    console.log(transaction);
  }

  getTransaction();
  ```

  ```javascript ethers.js theme={"system"}
  const ethers = require('ethers');
  const NODE_URL = "CHAINSTACK_NODE_URL";
  const provider = new ethers.JsonRpcProvider(NODE_URL);

  const getTransaction = async (blockHash, index) => {
      const transaction = await provider.send("eth_getTransactionByBlockHashAndIndex", [blockHash, index]);
      console.log(transaction);
    }
    
    getTransaction("0x84fcbb099d339793e0271db167c937723202a25672a676a2066268fff6d0e945", "0x0");
  ```

  ```python web3.py theme={"system"}
  from web3 import Web3  
  node_url = "CHAINSTACK_NODE_URL" 

  web3 = Web3(Web3.HTTPProvider(node_url)) 
  print(web3.eth.get_transaction_by_block("0x84fcbb099d339793e0271db167c937723202a25672a676a2066268fff6d0e945", 1))
  ```
</CodeGroup>

## Use case

The `eth_getTransactionByBlockHashAndIndex` can be used to retrieve transaction details from a block.


## OpenAPI

````yaml /openapi/cronos_node_api/eth_getTransactionByBlockHashAndIndex.json POST /b9b0fb92029d58b396139a9e89cf479b
openapi: 3.0.0
info:
  title: Cronos Node API
  version: 1.0.0
  description: This is an API for interacting with a Cronos node.
servers:
  - url: https://nd-907-114-772.p2pify.com
security: []
paths:
  /b9b0fb92029d58b396139a9e89cf479b:
    post:
      tags:
        - Transactions info
      summary: eth_getTransactionByBlockHashAndIndex
      operationId: getTransactionByBlockHashAndIndex
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: integer
                  default: 1
                jsonrpc:
                  type: string
                  default: '2.0'
                method:
                  type: string
                  default: eth_getTransactionByBlockHashAndIndex
                params:
                  type: array
                  items:
                    anyOf:
                      - type: string
                        title: Block hash
                      - type: string
                        title: Transaction index
                  default:
                    - >-
                      0x876920092375935114a506dbe0daa54018abd25091c4b34c4a2202fa4c485562
                    - '0x2'
      responses:
        '200':
          description: The transaction information
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                  id:
                    type: integer
                  result:
                    type: object

````